Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.colorer.editor
Class OutlineItem

    java.lang.Object
      net.sf.colorer.editor.OutlineItem

Direct Known Subclasses:
  OutlineElement

    public class OutlineItem

extends java.lang.Object

Single item in the outliner tree.

Field Summary
`int` | `length` Length of the item
`int` | `level` Level of enclosure
`int` | `lno` Line number
`int` | `pos` Position in line
`Region` | `region` This item's region
`java.lang.StringBuffer` | `token` Item text

Constructor Summary
`OutlineItem()` Default constructor
`OutlineItem(int lno, int pos, int length, int level, java.lang.String token, Region region)` Initializing constructor

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### lno

    public int lno

  Line number

### pos

    public int pos

  Position in line

### length

    public int length

  Length of the item

### level

    public int level

  Level of enclosure

### token

    public java.lang.StringBuffer token

  Item text

### region

    public Region region

  This item's region

Constructor Detail

### OutlineItem

    public OutlineItem()

  Default constructor

### OutlineItem

    public OutlineItem(int lno,
                       int pos,
                       int length,
                       int level,
                       java.lang.String token,
                       Region region)

  Initializing constructor

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Cail Lomecb. All Rights Reserved.